Get Processing status and progress data for a specific user on loyalty rules
curl --request GET \
--url https://admin.snagsolutions.io/api/loyalty/rules/status \
--header 'X-API-KEY: <api-key>'import requests
url = "https://admin.snagsolutions.io/api/loyalty/rules/status"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://admin.snagsolutions.io/api/loyalty/rules/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"loyaltyRuleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"websiteId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"progress": 50,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"fulfilledAt": "2023-11-07T05:31:56Z"
}
]
}{
"message": "Request body is invalid"
}{
"message": "Not found"
}"Forbidden, Could not validate api key"{
"message": "Too many requests"
}{
"success": false,
"message": "Internal server error",
"debugInfo": "Stack trace or additional error details"
}Loyalty
Get Processing status and progress data for a specific user on loyalty rules
This will return the processing status of quests for a specific user and also the progress of the loyalty rule
GET
/
api
/
loyalty
/
rules
/
status
Get Processing status and progress data for a specific user on loyalty rules
Authorizations
Query Parameters
Unique identifier for the loyalty rule[s]
Example:
"123e4567-e89b-12d3-a456-426614174030"
Number of items to return
Required range:
x <= 100Example:
10
Starting after item
Example:
"123e4567-e89b-12d3-a456-426614174001"
Response
200
Show child attributes
Show child attributes
Was this page helpful?
⌘I